:root {
--trace-orange: #F26721;
--dark-trace-orange: #D45711;
}
 
@media (max-width: 1000px) {
  .parallaxTitle1{
    font-size: 130%;
  }
  .parallaxDescrip{
    font-size: 80%;
  }
  .parallaxTitle2{
    font-size: 200%;
    font-weight: bold;
  }
  .WhoWeAreTittle{
    font-size: 250%;
    color:var(--trace-orange) ;
  }
  .serviceDescripCard{
    font-size: 100%;
  }

  .slogan1Descrip{
    font-size: 90%;
  }

  .WhoWeAreDescSize{
      font-size: 150%;
  }
  .bigTitle{
    font-size: 300%;
  }
    
  .navbar {
    background-color: #ffffffe0;/* Blanc avec 60% de transparence */
    border-radius: 25px; /* Bords arrondis */
    padding: 15px;
    width: 90%; /* Occupe toute la largeur */
    position: fixed;
    top: 0;
    left: 0;
    display: flex;
    justify-content: center;
    box-shadow: 4px 2px 2px 2px rgba(0, 0, 0, 0.1); /* Ombre pour un effet de profondeur */
    z-index: 10;
    margin-top: 1%;
    height: 30px;
    margin-left: 5%;
  }

  .navbar:hover{
    animation:normal;
    background-color: #c2b8b859; 
  }
  .navlink_size{
    font-size: 70%;
  }

  /* Style pour les éléments de navigation */
  .navbar ul {
    list-style-type: none;
    margin: 0;
    padding: 0;
    display: flex;
    gap: 5px;
  }
  .serviceCard {
    max-width: 100%;
    max-height:600px;
  }
  .navbar ul li {
    display: inline;
  }

  .navbar ul li a {
    text-decoration: none;
    color:#b44c10 ; /* Couleur des liens noirs */
    padding: 5px 10px;
    border-radius: 8px;
    transition: background-color 0.3s ease;
  }

  /* Effet hover sur les liens */
  .navbar ul li a:hover {
    background-color: rgb(255, 255, 255); /* Fond légèrement gris au hover */
  }
  .productGiveTitle {
    font-size: 130%;
  }
  .productGiveDescrip {
    font-size: 80%;
    min-height: 100%;

  }
  .section-title {
    color: #F26721;
    border-bottom: 2px solid #F26721;;
    display: inline-block;
    padding-bottom: 5px;
    font-size: 140%;
  }
  .productGive {
    min-height: 100%;
    font-size: 110%;
  }
  .navigationsPosition {
    position: relative;
    top: -12px;
  }
}

@media (min-width: 1001px) and (max-width: 1160px) {
  .slogan1Descrip{
    font-size: 100%;
  }

  .productGiveTitle {
    font-size: 200%;
  }
  .productGiveDescrip {
    min-height: 100%;
    font-size: 110%;
  }
  .productGive {
    min-height: 100%;
    font-size: 110%;
  }
  .parallaxTitle1{
    font-size: 400%;
  }
  .parallaxTitle2{
    font-size: 300%;
    font-weight: bold;

  }
  .parallaxDescrip{
    font-size: 200%;
  }
  .bigTitle{
    font-size: 700%;
  }
  .navigationsPosition {
    position: relative;
    top: -12px;
  }
  
  .navbar {
    background-color: #ffffffe0;/* Blanc avec 60% de transparence */
    border-radius: 25px; /* Bords arrondis */
    padding: 15px;
    width: 50%; /* Occupe toute la largeur */
    position: fixed;
    top: 0;
    left: 0;
    display: flex;
    justify-content: center;
    box-shadow: 4px 2px 2px 2px rgba(0, 0, 0, 0.1); /* Ombre pour un effet de profondeur */
    z-index: 10;
    margin-left: 25%;
    margin-top: 1%;
    height: 30px;
  }
  
  .navbar:hover{
    animation:normal;
    background-color: #c2b8b859; 
  }
  
  /* Style pour les éléments de navigation */
  .navbar ul {
    list-style-type: none;
    margin: 0;
    padding: 0;
    display: flex;
    gap: 20px;
  }
  
  .navbar ul li {
    display: inline;
  }
  
  .navbar ul li a {
    text-decoration: none;
    color:#b44c10 ; /* Couleur des liens noirs */
    padding: 10px 15px;
    border-radius: 8px;
    transition: background-color 0.3s ease;
  }
  
  /* Effet hover sur les liens */
  .navbar ul li a:hover {
    background-color: rgb(255, 255, 255); /* Fond légèrement gris au hover */
  }
  .WhoWeAreTittle{
    font-size: 500%;
    color:var(--trace-orange) ;
  }

  .WhoWeAreDescSize{
      font-size: 300%;
  }
  .section-title {
    color: #F26721;
    border-bottom: 2px solid #F26721;;
    display: inline-block;
    padding-bottom: 5px;
  }
  .serviceCard {
    max-width: 100%;
    height:550px;
  }
  .serviceDescripCard{
    font-size: 120%;
  }
}

@media (min-width: 1161px) {
  .slogan1Descrip{
    font-size: 100%;
  }
  #background-video {
    position: absolute;
    top: 50%;
    left: 50%;
    width: 100vw;
    height: auto;
    z-index: -1;
    transform: translate(-50%, -50%);
  }
  .productGiveTitle {
    font-size: 200%;
  }
  .productGiveDescrip {
    min-height: 100%;
    font-size: 110%;
  }
  .productGive {
    min-height: 100%;
    font-size: 110%;
  }
  .parallaxTitle1{
    font-size: 400%;
  }
  .parallaxTitle2{
    font-size: 300%;
    font-weight: bold;

  }
  .parallaxDescrip{
    font-size: 200%;
  }
  .bigTitle{
    font-size: 700%;
  }
  .navigationsPosition {
    position: relative;
    top: -12px;
  }
  
  .navbar {
    background-color: #ffffffe0;/* Blanc avec 60% de transparence */
    border-radius: 25px; /* Bords arrondis */
    padding: 15px;
    width: 50%; /* Occupe toute la largeur */
    position: fixed;
    top: 0;
    left: 0;
    display: flex;
    justify-content: center;
    box-shadow: 4px 2px 2px 2px rgba(0, 0, 0, 0.1); /* Ombre pour un effet de profondeur */
    z-index: 10;
    margin-left: 25%;
    margin-top: 1%;
    height: 30px;
  }
  
  .navbar:hover{
    animation:normal;
    background-color: #c2b8b859; 
  }
  
  /* Style pour les éléments de navigation */
  .navbar ul {
    list-style-type: none;
    margin: 0;
    padding: 0;
    display: flex;
    gap: 20px;
  }
  
  .navbar ul li {
    display: inline;
  }
  
  .navbar ul li a {
    text-decoration: none;
    color:#b44c10 ; /* Couleur des liens noirs */
    padding: 10px 15px;
    border-radius: 8px;
    transition: background-color 0.3s ease;
  }
  
  /* Effet hover sur les liens */
  .navbar ul li a:hover {
    background-color: rgb(255, 255, 255); /* Fond légèrement gris au hover */
  }
  .WhoWeAreTittle{
    font-size: 500%;
    color:var(--trace-orange) ;
  }

  .WhoWeAreDescSize{
      font-size: 300%;
  }
  .section-title {
    color: #F26721;
    border-bottom: 2px solid #F26721;;
    display: inline-block;
    padding-bottom: 5px;
  }
  .serviceCard {
    max-width: 100%;
    height:500px;
  }
  .serviceDescripCard{
    font-size: 130%;
  }

}

body {
  font-family: 'Poppins', sans-serif;
  color: #333;
  display: flex;
  flex-direction: column;
  min-height: 100vh;
  overflow-x: hidden;
}

main {
  flex: 1;
}

h1, h2, h3, h4, h5, h6, .navbar-brand {
font-family: 'Comfortaa', cursive;
font-weight: 700;
}

section{
  z-index: 4;
  height: auto;
  width: 100vw;
  overflow-x: hidden;
  overflow-y: hidden;
}

.video-wrapper {
  position:fixed;
}

.btn-custom {
  background-color: #F26721;
  border-color: #F26721;
  color: #fff;
  border-radius: 25px;
  padding: 10px 20px;
}

.btn-custom:hover {
  background-color: #D45711;
  border-color: #D45711;
  color: #fff;
}

.card {
  border-radius: 15px;
  overflow: hidden;
  transition: transform 0.3s;
}

.card:hover {
  transform: translateY(-5px);
}

.card-img-top {
  height: 200px;
  object-fit: cover;
}



.footer-custom {
  background-color: #000;
  color: #F26721;
}

.footer-custom a {
  color: #F26721;
  text-decoration: none;
}

.footer-custom ul {
  list-style-type: none;
  padding-left: 0;
}

.footer-custom .social-icons a {
  font-size: 1.5rem;
  margin-right: 10px;
}

.animate-on-scroll {
  visibility: hidden;
}

.slogan {
  background-color: #000;
  color: #fff;
  padding: 2rem 0;
  text-align: center;
  font-family: 'Comfortaa', cursive;
}

.slogan-main {
  font-size: 4rem;
  font-weight: 700;
  margin-bottom: 1rem;
}

.slogan-sub {
  font-size: 1.2rem;
  font-weight: 400;
  opacity: 0.8;
  margin-bottom: 1.5rem;
}


.btn-contact {
  background-color: #F26721;
  color: #fff;
  border: none;
  padding: 10px 20px;
  font-size: 1.1rem;
  border-radius: 25px;
  transition: background-color 0.3s ease;
}

.btn-contact:hover {
  background-color: #D45711;
  color: #fff;
}

.card {
  border-radius: 20px;
  margin-bottom: 30px;
  transition: transform 0.3s ease;
}
.card2 {
  border-radius: 20px;
  margin-bottom: 30px;
  transition: transform 0.3s ease;
  height: auto;
}

.card:hover {
    transform: translateY(-5px);
}

.active {
  color: #fff !important;
}

.bg-trace {
    background-color: #F26721 !important;
}

.clr-trace {
    color: #f0590e ;
}

.presentationCard {
  max-width: 18rem;
  height: 250px;
}



.video-background {
    height: 100vh;
    overflow: hidden;
    position:fixed;
    z-index: 1;
    width: 100vw
}



/* Centrer le texte */
.content {
  position: absolute;
  top: 50%;
  left: 50%;
  width: 100vw;

  transform: translate(-50%, -50%);
  color: white;
  text-align: center;
  z-index: 1;
}

.under_content {
  position: absolute;
  top: 95%;
  left: 50%;
  transform: translate(-50%, -50%);
  color: white;
  text-align: center;
  z-index: 1;
}



.animate__animated.animate__zoomInDown {
  --animate-duration: 2.3s;
}

.custom.animate__animated.animate__backInDown {
  --animate-duration: 1.5s;
}

.animate__animated.animate__backInDown,  .animate__animated.animate__backInUp {
  --animate-duration: 1.8s;
}

.overlay {
  position: absolute;
  top: 0;
  left: 0;
  width: 100vw;
  height: 100%;
  background-color: rgba(27, 27, 27, 0.267); 
  z-index: -1;
}

.card-img{
  object-fit: cover; 
  object-position: center;
}

.parallax {
  background-image: url('./assets/images/equi.png');
  height: auto; 
  padding: 3%;
  background-attachment: fixed;
  background-position: center;
  background-repeat: no-repeat;
  background-size: cover;
  display: flex;
  justify-content: center;
  align-items: center;
  color: white;
  text-align: center;
}

.parallax2 {
  background-image: url('./assets/images/equip.png');
  height: auto; 
  padding: 3%;
  background-attachment: fixed;
  background-position: center;
  background-repeat: no-repeat;
  background-size: cover;
  display: flex;
  justify-content: center;
  align-items: center;
  color: white;
  text-align: center;
}

.parallax .content2 {
  background: rgba(0, 0, 0, 0.5);
  padding: 20px;
  border-radius: 10px;
}

.parallax .content3 {
  background: rgba(0, 0, 0, 0.5);
  padding: 20px;
  border-radius: 10px;
}

#title1, #title2, #subtitle {
  transition: transform 0.1s ease-out;
}